// To parse this JSON data, do
//
//     final addressModel = addressModelFromMap(jsonString);

import 'dart:convert';

AddressModel addressModelFromMap(String str) => AddressModel.fromMap(json.decode(str));

String addressModelToMap(AddressModel data) => json.encode(data.toMap());

class AddressModel {
  String? status;
  int? code;
  String? message;
  String? timestamp;
  List<AddressModelMain>? data;

  AddressModel({
    this.status,
    this.code,
    this.message,
    this.timestamp,
    this.data,
  });

  factory AddressModel.fromMap(Map<String, dynamic> json) => AddressModel(
    status: json["status"],
    code: json["code"],
    message: json["message"],
    timestamp: json["timestamp"],
    data: json["data"] == null ? [] : List<AddressModelMain>.from(json["data"]!.map((x) => AddressModelMain.fromMap(x))),
  );

  Map<String, dynamic> toMap() => {
    "status": status,
    "code": code,
    "message": message,
    "timestamp": timestamp,
    "data": data == null ? [] : List<dynamic>.from(data!.map((x) => x.toMap())),
  };
}

class AddressModelMain {
  int? id;
  String? firstName;
  String? lastName;
  String? phone;
  String? email;
  String? address;
  String? city;
  String? postCode;
  String? landmark;
  String? countryCode;
  String? regionCode;
  String? localAreaCode;
  String? googlePlaceId;
  String? googleMapSearchPayload;
  int? customerId;

  AddressModelMain({
    this.id,
    this.firstName,
    this.lastName,
    this.phone,
    this.email,
    this.address,
    this.city,
    this.postCode,
    this.landmark,
    this.countryCode,
    this.regionCode,
    this.localAreaCode,
    this.googlePlaceId,
    this.googleMapSearchPayload,
    this.customerId,
  });

  factory AddressModelMain.fromMap(Map<String, dynamic> json) => AddressModelMain(
    id: json["id"],
    firstName: json["first_name"],
    lastName: json["last_name"],
    phone: json["phone"],
    email: json["email"],
    address: json["address"],
    city: json["city"],
    postCode: json["post_code"],
    landmark: json["landmark"],
    countryCode: json["country_code"],
    regionCode: json["region_code"],
    localAreaCode: json["local_area_code"],
    googlePlaceId: json["google_place_id"],
    googleMapSearchPayload: json["google_map_search_payload"],
    customerId: json["customer_id"],
  );

  Map<String, dynamic> toMap() => {
    "id": id,
    "first_name": firstName,
    "last_name": lastName,
    "phone": phone,
    "email": email,
    "address": address,
    "city": city,
    "post_code": postCode,
    "landmark": landmark,
    "country_code": countryCode,
    "region_code": regionCode,
    "local_area_code": localAreaCode,
    "google_place_id": googlePlaceId,
    "google_map_search_payload": googleMapSearchPayload,
    "customer_id": customerId,
  };
}
