// To parse this JSON data, do
//
//     final customerModel = customerModelFromMap(jsonString);

import 'dart:convert';

CustomerModel customerModelFromMap(String str) => CustomerModel.fromMap(json.decode(str));

String customerModelToMap(CustomerModel data) => json.encode(data.toMap());

class CustomerModel {
    int? id;
    String? email;
    String? phone;
    String? status;
    String? role;
    List<dynamic>? groups;
    Attributes? attributes;
    String? firstName;
    String? lastName;
    String? businessCode;
    bool? emailVerified;
    bool? phoneVerified;
    String? createdAt;
    String? chatRoomId;

    CustomerModel({
        this.id,
        this.email,
        this.phone,
        this.status,
        this.role,
        this.groups,
        this.attributes,
        this.firstName,
        this.lastName,
        this.businessCode,
        this.emailVerified,
        this.phoneVerified,
        this.createdAt,
        this.chatRoomId,
    });

    factory CustomerModel.fromMap(Map<String, dynamic> json) => CustomerModel(
        id: json["id"],
        email: json["email"],
        phone: json["phone"],
        status: json["status"],
        role: json["role"],
        groups: json["groups"] == null ? [] : List<dynamic>.from(json["groups"]!.map((x) => x)),
        attributes: json["attributes"] == null ? null : Attributes.fromMap(json["attributes"]),
        firstName: json["first_name"],
        lastName: json["last_name"],
        businessCode: json["business_code"],
        emailVerified: json["email_verified"],
        phoneVerified: json["phone_verified"],
        createdAt: json["created_at"],
        chatRoomId: json["chat_room_id"],
    );

    Map<String, dynamic> toMap() => {
        "id": id,
        "email": email,
        "phone": phone,
        "status": status,
        "role": role,
        "groups": groups == null ? [] : List<dynamic>.from(groups!.map((x) => x)),
        "attributes": attributes?.toMap(),
        "first_name": firstName,
        "last_name": lastName,
        "business_code": businessCode,
        "email_verified": emailVerified,
        "phone_verified": phoneVerified,
        "created_at": createdAt,
        "chat_room_id": chatRoomId,
    };
}

class Attributes {
    Attributes();

    factory Attributes.fromMap(Map<String, dynamic> json) => Attributes(
    );

    Map<String, dynamic> toMap() => {
    };
}
