// To parse this JSON data, do
//
//     final locationDataModel = locationDataModelFromMap(jsonString);

import 'dart:convert';

LocationDataModel locationDataModelFromMap(String str) => LocationDataModel.fromMap(json.decode(str));

String locationDataModelToMap(LocationDataModel data) => json.encode(data.toMap());

class LocationDataModel {
  String? status;
  int? code;
  String? timestamp;
  Data? data;

  LocationDataModel({
    this.status,
    this.code,
    this.timestamp,
    this.data,
  });

  factory LocationDataModel.fromMap(Map<String, dynamic> json) => LocationDataModel(
    status: json["status"],
    code: json["code"],
    timestamp: json["timestamp"],
    data: json["data"] == null ? null : Data.fromMap(json["data"]),
  );

  Map<String, dynamic> toMap() => {
    "status": status,
    "code": code,
    "timestamp": timestamp,
    "data": data?.toMap(),
  };
}

class Data {
  List<Country>? countries;

  Data({
    this.countries,
  });

  factory Data.fromMap(Map<String, dynamic> json) => Data(
    countries: json["countries"] == null ? [] : List<Country>.from(json["countries"]!.map((x) => Country.fromMap(x))),
  );

  Map<String, dynamic> toMap() => {
    "countries": countries == null ? [] : List<dynamic>.from(countries!.map((x) => x.toMap())),
  };
}

class Country {
  List<Region>? regions;
  String? name;
  String? code;

  Country({
    this.regions,
    this.name,
    this.code,
  });

  factory Country.fromMap(Map<String, dynamic> json) => Country(
    regions: json["regions"] == null ? [] : List<Region>.from(json["regions"]!.map((x) => Region.fromMap(x))),
    name: json["name"],
    code: json["code"],
  );

  Map<String, dynamic> toMap() => {
    "regions": regions == null ? [] : List<dynamic>.from(regions!.map((x) => x.toMap())),
    "name": name,
    "code": code,
  };
}

class Region {
  String? name;
  String? code;
  List<LocalArea>? localAreas;

  Region({
    this.name,
    this.code,
    this.localAreas,
  });

  factory Region.fromMap(Map<String, dynamic> json) => Region(
    name: json["name"],
    code: json["code"],
    localAreas: json["local_areas"] == null ? [] : List<LocalArea>.from(json["local_areas"]!.map((x) => LocalArea.fromMap(x))),
  );

  Map<String, dynamic> toMap() => {
    "name": name,
    "code": code,
    "local_areas": localAreas == null ? [] : List<dynamic>.from(localAreas!.map((x) => x.toMap())),
  };
}

class LocalArea {
  String? name;
  String? code;

  LocalArea({
    this.name,
    this.code,
  });

  factory LocalArea.fromMap(Map<String, dynamic> json) => LocalArea(
    name: json["name"],
    code: json["code"],
  );

  Map<String, dynamic> toMap() => {
    "name": name,
    "code": code,
  };
}
