// To parse this JSON data, do
//
//     final paymentModel = paymentModelFromMap(jsonString);

import 'dart:convert';

PaymentModel paymentModelFromMap(String str) => PaymentModel.fromMap(json.decode(str));

String paymentModelToMap(PaymentModel data) => json.encode(data.toMap());

class PaymentModel {
  PaymentModel({
    this.status,
    this.code,
    this.message,
    this.timestamp,
    this.data,
  });

  String? status;
  int? code;
  String? message;
  String? timestamp;
  Data? data;

  factory PaymentModel.fromMap(Map<String, dynamic> json) => PaymentModel(
    status: json["status"],
    code: json["code"],
    message: json["message"],
    timestamp: json["timestamp"],
    data: json["data"] == null ? null : Data.fromMap(json["data"]),
  );

  Map<String, dynamic> toMap() => {
    "status": status,
    "code": code,
    "message": message,
    "timestamp": timestamp,
    "data": data?.toMap(),
  };
}

class Data {
  Data({
    this.reference,
    this.publicKey,
    this.amount,
    this.description,
    this.orderId,
    this.sbRedirectLink,
    this.email,
    this.paymentLink,
    this.gateway,
    this.status,
  });

  String? reference;
  String? publicKey;
  dynamic? amount;
  String? description;
  int? orderId;
  String? sbRedirectLink;
  String? email;
  String? paymentLink;
  String? gateway;
  String? status;

  factory Data.fromMap(Map<String, dynamic> json) => Data(
    reference: json["reference"],
    publicKey: json["public_key"],
    amount: json["amount"],
    description: json["description"],
    orderId: json["order_id"],
    sbRedirectLink: json["sb_redirect_link"],
    email: json["email"],
    paymentLink: json["payment_link"],
    gateway: json["gateway"],
    status: json["status"],
  );

  Map<String, dynamic> toMap() => {
    "reference": reference,
    "public_key": publicKey,
    "amount": amount,
    "description": description,
    "order_id": orderId,
    "sb_redirect_link": sbRedirectLink,
    "email": email,
    "payment_link": paymentLink,
    "gateway": gateway,
    "status": status,
  };
}
