import 'package:flutter/material.dart';
import 'package:storebounty_checkout/common/constants/checkoutthemes.dart';
import 'package:storebounty_checkout/model/customermodel.dart';
import 'package:storebounty_checkout/src/pages/checkout_v1.dart';
import 'package:storebounty_checkout/src/pages/checkout_v2.dart';
import 'package:storebounty_init/storebountyinit.dart';

class StoreBountyCheckout extends StatefulWidget {
  final VoidCallback onCompleted;
  const StoreBountyCheckout({Key? key, required this.onCompleted}) : super(key: key);

  @override
  State<StoreBountyCheckout> createState() => _StoreBountyCheckoutState();
}

class _StoreBountyCheckoutState extends State<StoreBountyCheckout> {

  var checkout = "version2";


  @override
  void initState() {
    themeSelect();
    super.initState();
  }

  themeSelect() async {
    var config = await StoreBountyInit.readJsonFromRoot();
    if(config == null){
      checkout = "version1";
      return;
    }
    for(var i = 0; i < config['CHECKOUT_THEMES'].length; i++){
      if(config['CHECKOUT_THEMES'][i]['ACTIVE'] == true){
        checkout = config['CHECKOUT_THEMES'][i]['NAME']!;
        setState(() {

        });
        return;
      }
    }
    setState(() {

    });
  }

  @override
  Widget build(BuildContext context) {
    if(checkout == "version1"){
      return StoreBountyCheckoutV1(onCompleted: widget.onCompleted,);
    }else{
      return StoreBountyCheckoutV2(onCompleted: widget.onCompleted,);
    }
  }

}
