// import 'package:cartthemeone/model/addressmodel.dart';
import 'package:flutter/material.dart';
import 'package:storebounty_checkout/model/addressmodel.dart';

class DropdownButtonWithIcon<AddressMain> extends StatefulWidget {
  final List<AddressMain> items;
  final AddressMain? value;
  final Widget Function(AddressMain item) itemBuilder;
  final void Function(AddressMain? value)? onChanged;
  final Widget? hintWidget;

  DropdownButtonWithIcon({
    required this.items,
    this.value,
    required this.itemBuilder,
    this.onChanged, this.hintWidget,
  });

  @override
  _DropdownButtonWithIconState<AddressMain> createState() => _DropdownButtonWithIconState<AddressMain>();
}

class _DropdownButtonWithIconState<AddressMain> extends State<DropdownButtonWithIcon<AddressMain>> {
  AddressMain? _value;



  @override
  void initState() {
    super.initState();
    _value = widget.value;
  }

  @override
  Widget build(BuildContext context) {
    return DropdownButtonHideUnderline(
      child: DropdownButton<AddressMain>(
        value: _value,
        hint: widget.hintWidget,
        items: _buildDropdownItems(),
        onChanged: (AddressMain? value) {
          setState(() {
            _value = value;
          });
          widget.onChanged?.call(value);
        },
        icon: Icon(Icons.arrow_drop_down),
      ),
    );
  }

  List<DropdownMenuItem<AddressMain>> _buildDropdownItems() {
    return widget.items.map((item) {
      return DropdownMenuItem<AddressMain>(
        value: item,
        child: Row(
          children: [
            widget.itemBuilder(item),
            // SizedBox(width: 8),
            // Icon(Icons.arrow_right),
          ],
        ),
      );
    }).toList();
  }
}
